## NAME

v.in.garmin - Upload Waypoints, Routes, and Tracks from a Garmin GPS receiver into a vector map.

## SYNOPSIS

v.in.garmin
v.in.garmin help
v.in.garmin [-vwrtpk] [output=string] [port=string]

### Flags:

-v
  verbose mode
-w
  upload Waypoints from GPS
-r
  upload Routes from GPS
-t
  upload Track from GPS
-p
  force import of track or route data as points
-k
  do not attempt projection transform from WGS84

### Parameters:

output=string
  name for new binary vector file (omit for display to stdout)
port=string
  port Garmin receiver is connected to
  Default: /dev/gps

## DESCRIPTION

v.in.garmin allows the user to import waypoint, route, and track data from a locally connected Garmin GPS receiver via the gpstrans program by Carsten Tschach.

Use at your own risk. This software comes with absolutely no warranty.

## NOTES

If the GPS is set up to output WGS84 Lat/Lon, v.in.garmin will attempt to automatically transform the coordinates to the current projection. In all other cases, no checks are performed for datum, projection and format of data. You must check for yourself that your receiver, gpstrans and GRASS use the same map datum and projection. The automatic transform may be skipped by using the -k flag.

Route and Track data may be uploaded as points by using the -p flag, otherwise they will be imported as a line. You can run v.in.garmin multiple times and merge the line and point vectors with the v.patch command if you want, but take care when merging dissimilar attribute tables.

Before running v.in.garmin, gpstrans should be set up as follows to output latitude-longitude:
`$ gpstrans -s
datum: 100 (WGS84)
format: 2 - lat/lon ddd.ddddd
`

## SEE ALSO

db.execute
v.in.ascii
v.db.connect
v.patch
gpstrans manual
cs2cs from PROJ.4

## AUTHORS

Based on v.in.garmin.sh for GRASS 5.0 by Andreas Lange
with bug fixes by Glynn Clements and Markus Neteler
Rewritten for GRASS 5.3 and 5.7 by Hamish Bowman

gpstrans was written by Carsten Tschach

Last changed: $Date: 2005/08/03 13:05:44 $

Help Index